Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Interaction.Highlighting.Dot.Base

Description

Generate an import dependency graph for a given module.

Synopsis

- renderDotToFile :: MonadIO m => DotGraph -> FilePath -> m ()
- renderDot :: DotGraph -> Text
- type DotGraph = Graph (WithUniqueInt Text) ()

# Documentation

renderDotToFile :: MonadIO m => DotGraph -> FilePath -> m () Source #

renderDot :: DotGraph -> Text Source #

type DotGraph = Graph (WithUniqueInt Text) () Source #

Graph structure